com.h3c.util.pkt

## Enum Dns.OpCode

- java.lang.Object
- - java.lang.Enum<Dns.OpCode>
  - - com.h3c.util.pkt.Dns.OpCode

- All Implemented Interfaces:
    ProtocolEnum, Serializable, Comparable<Dns.OpCode>
  Enclosing class:
    Dns

      public static enum Dns.OpCode
      extends Enum<Dns.OpCode>
      implements ProtocolEnum

  Operation codes set by originator of a request (copied to response).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INV_QUERY` Inverse query (Obsolete).
    `NOTIFY` Notify slave servers that data in the master has changed.
    `QUERY` Standard query.
    `STATUS` Server status request.
    `UPDATE` Dynamic update.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `code()` Returns the code value for the enumeration constant.
    `static Dns.OpCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Dns.OpCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QUERY

          public static final Dns.OpCode QUERY

      Standard query.

    - #### INV_QUERY

          public static final Dns.OpCode INV_QUERY

      Inverse query (Obsolete).

    - #### STATUS

          public static final Dns.OpCode STATUS

      Server status request.

    - #### NOTIFY

          public static final Dns.OpCode NOTIFY

      Notify slave servers that data in the master has changed.

    - #### UPDATE

          public static final Dns.OpCode UPDATE

      Dynamic update.

  - ### Method Detail

    - #### values

          public static Dns.OpCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Dns.OpCode c : Dns.OpCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Dns.OpCode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public int code()

      Description copied from interface: `ProtocolEnum`
      Returns the code value for the enumeration constant.
      Specified by:
        `code` in interface `ProtocolEnum`
      Returns:
        the code value

Copyright © 2014. All Rights Reserved.